package com.ylx.banner.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ylx.banner.domain.Banner;
import com.ylx.banner.domain.vo.BannerVO;
import com.ylx.massage.domain.dto.TLbtStatusDTO;

/**
 * <p>
 * 轮播图 服务类
 * </p>
 *
 * @author YJR
 * @since 2023-11-24
 */
public interface BannerService extends IService<Banner> {

    Boolean addOrUpdate(Banner lbt);

    Boolean del(Banner banner);

    Boolean updateStatus(TLbtStatusDTO dto);

    Page<BannerVO> page(Page<Banner> page);
}
